Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236586 - CVE-2007-2030 /tmp race in lha
Summary: CVE-2007-2030 /tmp race in lha
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lha
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL: https://bugzilla.novell.com/show_bug....
Whiteboard: impact=low,source=opensuse,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 16:21 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-09 08:41:40 UTC


Attachments (Terms of Use)
New patch (deleted)
2007-06-05 13:18 UTC, Tomas Smetana
no flags Details | Diff

Description Lubomir Kundrak 2007-04-16 16:21:57 UTC
+++ This bug was initially created as a clone of Bug #236585 +++

Description of problem:

lha doesn't open temporary files exclusively, which makes it possible for an
attacker to conduct a time-dependent attack by creating the file in advance.

Version-Release number of selected component (if applicable):

        Affects: RHEL2.1
        Affects: RHEL3
        Affects: RHEL4
        Affects: FC5

How reproducible:

Time-dependent race.

Additional info:

The patch also incorporates some trailing-NUL things from SUSE's
security review patch. I do not know why weren't they unlike some other
fixes from that patch integrated in our packages. It might be possible
that they are not needed. The patch is basically a polished diff between
SUSE and FC-5 lha.

-- Additional comment from lkundrak@redhat.com on 2007-04-16 12:20 EST --
Created an attachment (id=152702)
Patch for lha /tmp race & others, applies to FC5

Comment 1 Tomas Smetana 2007-06-05 13:18:11 UTC
Created attachment 156216 [details]
New patch

One of the patches already present in FC-5 lha replaces mktemp call with
mkstemp which should solve the problem. The patch proposed above won't work
with the one already applied. Here is the fixed version that should solve the
issue without conflicting with previous patches.


Note You need to log in before you can comment on or make changes to this bug.